# GUICompoundElement

open class GUICompoundElement<T : ForInventory>(icon: ItemStack, onClick: (GUIClickEvent<T>) -> Unit?)
Content copied to clipboard

A simple compound element, covering the most common compound use cases.

## See also

net.axay.kspigot.gui.GUIPageBuilder

## Constructors

GUICompoundElement
Link copied to clipboard
fun <T : ForInventory> GUICompoundElement(icon: ItemStack, onClick: (GUIClickEvent<T>) -> Unit? = null)
Content copied to clipboard